Bug 847351 - nagios-plugins-mysql depends on perl-DBD-mysql
nagios-plugins-mysql depends on perl-DBD-mysql
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-10 12:40 EDT by Ross Smith
Modified: 2012-08-25 09:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-25 09:43:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ross Smith 2012-08-10 12:40:47 EDT
Description of problem:
The check_mysql command from the package nagios-plugins-mysql depends on DBD::mysql to operate, but it is not in the dependency list.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install nagios and nagios-plugins-mysql
2.run check_mysql in any mode 
Actual results:
Get error about missing package

Expected results:
No error about missing package.

Additional info:
The output from the check_mysql command:
CRITICAL - cannot connect to information_schema. install_driver(mysql) failed: Can't locate DBD/mysql.pm in @INC (@INC contains: /usr/lib64/nagios/plugins /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at (eval 18) line 3.
Perhaps the DBD::mysql perl module hasn't been fully installed,
or perhaps the capitalisation of 'mysql' isn't right.
Available drivers: DBM, ExampleP, File, Gofer, Proxy, Sponge.
 at /usr/lib64/nagios/plugins/check_mysql_health line 1862
Comment 1 Jose Pedro Oliveira 2012-08-16 11:55:31 EDT

Are you sure that the check_mysql plugin that you are using is the one belonging to nagios-plugins package?  The nagios-plugins-mysql subpackage only includes two binary files (and it doesn't include a plugin called check_mysql_health).

# rpm -q nagios-plugins-mysql

# rpm -ql nagios-plugins-mysql

# file /usr/lib64/nagios/plugins/check_mysql*
/usr/lib64/nagios/plugins/check_mysql:       ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, stripped
/usr/lib64/nagios/plugins/check_mysql_query: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, stripped
Comment 2 Jose Pedro Oliveira 2012-08-25 09:43:03 EDT
The reporter appears to be using a third-party plugin.

Note You need to log in before you can comment on or make changes to this bug.